# Class: Entity

Defined in: | node_modules/grunt-codo/node_modules/codo/lib/entity.coffee

## Overview

Base class for all entities.

## Direct Known Subclasses

Entities.Variable

## Class Method Summary

- . (void) is(node)

## Instance Method Summary

- # (void) linkify()
- # (void) fetchName()
- # (void) lookup(Entity, node)

## Class Method Details

. (void) is(node)

## Instance Method Details

# (void) linkify()

# (void) fetchName()

# (void) lookup(Entity, node)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input